## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XSLTResultTarget Class Reference

`#include <XSLTResultTarget.hpp>`

Collaboration diagram for XSLTResultTarget:

[legend]
List of all members.

## Public Types

- typedef std::ostream StreamType

## Public Methods

- XSLTResultTarget (MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR)
- XSLTResultTarget (const XalanDOMString &fileName, MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR)
    Create a new output target with a file name. More...
- XSLTResultTarget (const XalanDOMChar *fileName, MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR)
    Create a new output target with a file name. More...
- XSLTResultTarget (const char *fileName, MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR)
    Create a new output target with a file name. More...
- XSLTResultTarget (StreamType *theStream, MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR)
    Create a new output target with a stream. More...
- XSLTResultTarget (StreamType &theStream, MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR)
    Create a new output target with a stream. More...
- XSLTResultTarget (Writer *characterStream, MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR)
    Create a new output target with a character stream. More...
- XSLTResultTarget (FILE *characterStream, MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR)
    Create a new output target with a stream. More...
- XSLTResultTarget (FormatterListener &flistener, MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR)
    Create a new output target with a FormatterListener. More...
- XSLTResultTarget (const XSLTResultTarget &other, MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR)
- ~XSLTResultTarget ()
- void setFileName (const char *fileName)
    Set the file name where the results will be written. More...
- void setFileName (const XalanDOMString &fileName)
    Set the file name where the results will be written. More...
- const XalanDOMString& getFileName () const
    Get the file name where the results will be written to. More...
- void setByteStream (StreamType *byteStream)
    Set the byte stream for this output target. More...
- StreamType* getByteStream () const
    Get the byte stream for this output target. More...
- void setEncoding (const XalanDOMChar *encoding)
    Set the character encoding, if known. More...
- void setEncoding (const XalanDOMString &encoding)
    Set the character encoding, if known. More...
- const XalanDOMString& getEncoding () const
    Get the character encoding in use. More...
- void setCharacterStream (Writer *characterStream)
    Set the character stream for this output target. More...
- Writer* getCharacterStream () const
    Get the character stream for this output target. More...
- FILE* getStream () const
    Get the stream for this output target. More...
- void setStream (FILE *theStream)
    Set the stream for this output target. More...
- void setFormatterListener (FormatterListener *handler)
    Set a FormatterListener to process the result tree events. More...
- FormatterListener* getFormatterListener () const
    Get the FormatterListener that will process the result tree events. More...

## Member Typedef Documentation

typedef std::ostream XSLTResultTarget::StreamType

## Constructor & Destructor Documentation

XSLTResultTarget::XSLTResultTarget ( | MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR )`[explicit]`

XSLTResultTarget::XSLTResultTarget ( | const XalanDOMString & fileName,
| MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR )

  | Create a new output target with a file name. Parameters:
  fileName | valid system file name

XSLTResultTarget::XSLTResultTarget ( | const XalanDOMChar * fileName,
| MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR )

  | Create a new output target with a file name. Parameters:
  fileName | valid system file name

XSLTResultTarget::XSLTResultTarget ( | const char * fileName,
| MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR )

  | Create a new output target with a file name. Parameters:
  fileName | valid system file name

XSLTResultTarget::XSLTResultTarget ( | StreamType * theStream,
| MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR )

  | Create a new output target with a stream. Parameters:
  byteStream | a pointer to a std ostream for the output

XSLTResultTarget::XSLTResultTarget ( | StreamType & theStream,
| MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR )

  | Create a new output target with a stream. Parameters:
  byteStream | a reference to a std ostream for the output

XSLTResultTarget::XSLTResultTarget ( | Writer * characterStream,
| MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR )

  | Create a new output target with a character stream. Parameters:
  characterStream | pointer to character stream where the results will be written

XSLTResultTarget::XSLTResultTarget ( | FILE * characterStream,
| MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR )

  | Create a new output target with a stream. Parameters:
  characterStream | pointer to character stream where the results will be written

XSLTResultTarget::XSLTResultTarget ( | FormatterListener & flistener,
| MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR )

  | Create a new output target with a FormatterListener. Parameters:
  flistener | A FormatterListener instance for result tree events.

XSLTResultTarget::XSLTResultTarget ( | const XSLTResultTarget & other,
| MemoryManagerType &theManager XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR )

XSLTResultTarget::~XSLTResultTarget ( | )

## Member Function Documentation

StreamType * XSLTResultTarget::getByteStream ( | ) const

| Get the byte stream for this output target. Returns: pointer to byte stream, or null if none was supplied.

Writer * XSLTResultTarget::getCharacterStream ( | ) const

| Get the character stream for this output target. Returns: pointer to character stream, or null if none was supplied.

const XalanDOMString & XSLTResultTarget::getEncoding ( | ) const

| Get the character encoding in use. Returns: encoding string, or empty string if none was supplied.

const XalanDOMString & XSLTResultTarget::getFileName ( | ) const

| Get the file name where the results will be written to. Returns: file name string

FormatterListener * XSLTResultTarget::getFormatterListener ( | ) const

| Get the FormatterListener that will process the result tree events. Returns: pointer to new listener

FILE * XSLTResultTarget::getStream ( | ) const

| Get the stream for this output target. Returns: pointer to stream, or null if none was supplied.

void XSLTResultTarget::setByteStream ( | StreamType * byteStream )

  | Set the byte stream for this output target. Parameters:
  byteStream | pointer to byte stream that will contain the result document

void XSLTResultTarget::setCharacterStream ( | Writer * characterStream )

  | Set the character stream for this output target. Parameters:
  characterStream | pointer to character stream that will contain the result document

void XSLTResultTarget::setEncoding ( | const XalanDOMString & encoding )

  | Set the character encoding, if known. Parameters:
  encoding | new encoding string

void XSLTResultTarget::setEncoding ( | const XalanDOMChar * encoding )

  | Set the character encoding, if known. Parameters:
  encoding | new encoding string

void XSLTResultTarget::setFileName ( | const XalanDOMString & fileName )

  | Set the file name where the results will be written. Parameters:
  fileName | system identifier as a string

void XSLTResultTarget::setFileName ( | const char * fileName )

  | Set the file name where the results will be written. Parameters:
  fileName | system identifier as a string

void XSLTResultTarget::setFormatterListener ( | FormatterListener * handler )

  | Set a FormatterListener to process the result tree events. Parameters:
  handler | pointer to new listener

void XSLTResultTarget::setStream ( | FILE * theStream )

| Set the stream for this output target. @theStream pointer to stream.

The documentation for this class was generated from the following file:

- XSLTResultTarget.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.